Page MenuHomePhabricator

[LLDB] Use llvm::APInt and llvm::APFloat in Scalar and RegisterValue
ClosedPublic

Authored by slthakur on Aug 18 2015, 5:09 AM.

Details

Summary

Eliminated ENABLE_128_BIT_SUPPORT and union ValueData from Scalar.cpp and use llvm::APInt and llvm::APFloat for all integer and floating point types. Also used Scalar in RegisterValue.cpp

Diff Detail

Repository
rL LLVM

Event Timeline

slthakur updated this revision to Diff 32401.Aug 18 2015, 5:09 AM
slthakur retitled this revision from to [LLDB] Use llvm::APInt and llvm::APFloat in Scalar and RegisterValue.
slthakur updated this object.
slthakur set the repository for this revision to rL LLVM.

Hi,

I have corrected the patch for Scalar which was reverted in r245222 and addressed all concerns raised (http://reviews.llvm.org/rL245216) by Pavel Labath.
Could you please review it?

labath accepted this revision.Aug 18 2015, 8:04 AM
labath edited edge metadata.

Looks good as far as I am concerned.

This revision is now accepted and ready to land.Aug 18 2015, 8:04 AM
clayborg edited edge metadata.Aug 18 2015, 9:18 AM

Looks good.

clayborg accepted this revision.Aug 18 2015, 9:18 AM
clayborg edited edge metadata.
ovyalov accepted this revision.Aug 18 2015, 11:37 AM
ovyalov edited edge metadata.
ovyalov added inline comments.
include/lldb/Core/RegisterValue.h
51

Nit: you can initialize m_scalar within initializer list.

185

Could you pass fail_value as a const reference?

slthakur updated this revision to Diff 32511.Aug 19 2015, 12:19 AM
slthakur edited edge metadata.

Addressed review comments

slthakur added inline comments.Aug 19 2015, 12:21 AM
include/lldb/Core/RegisterValue.h
185

Yes, I have changed fail_value to const reference.

slthakur closed this revision.Aug 25 2015, 2:57 AM